' Datei fr Attiny-Platine von E. Eube, G. Heinrichs und U. Ihlefeldt
' Beispielprogramm fr die Bdenutzzung des Email-Servers
' Taster an PortD.2
' Atiny-Platine ber COM-Kabel an PC
' Email.exe luft auf PC
' Kontroll-LED an PortB.0
'
' Wenn der Taster Ta0 an PortD.2 bettigt wird eine Botschaft an den Server
' geschickt. Diese Botschaft besteht aus einer Zeichenkette, die auch in mehreren
' Teilen mittels Print-Befehlen geschickt werden kann; damit dabei kein CRLF-Kommando
' bertragen wird, muss am Ende dieser PRINT-Kommandos immer ein Semikolon stehen.
' Die Botschaft besteht aus mehreren Attributen:
' an=Emailadresse des Empfngers
' betreff=Text fr Betreffzeile
' titel=berschrift der Botschaft
' meldung=Inhalt der Botschaft
' Jedes dieser Attribute muss mit eine Raute (#) abgeschlossen werden.
' Die gesamte Botschaft muss durch ende# abgeschlossen werden.
' Innerhalb der Botschaft knnen auch Inhalte von Variablen bertragen werden,
' (vgl. Beispiel!). Durch den Print-Befehl werden Zahlen in Form der ASCII-Codes
' der entsprechenden Ziffern bertragen.

'----------------------------------------------------------------------------

$regfile = "attiny2313.dat"                                 'Attiny2313
$crystal = 4000000                                          '4 MHz
$baud = 9600


'**********************************************************
'******************* Deklarationen ************************

Dim Zaehler As Byte
Declare Sub Warte_bis_t0()

'****************** Initialisierung ***********************

Ddrb = &B11111111                                           'Port B als Ausgangsport
Ddrd = &B01110000                                           'D4, D5, D6 als Ausgang; Rest als Eingang
Portd = &B10001111                                          'Eingnge auf high legen

Zaehler = 1

'**********************************************************
'******************** Hauptprogramm ***********************

Waitms 200                                                  'warten bis Kondensator beiTa0 geladen

Do
  Call Warte_bis_t0()                                       'Wenn der Taster Ta0 bettigt wird, dann ...
  Portb.0 = 1                                               'LED an
  Print "an=mail@g-heinrichs.de#betreff=hallo#titel=Test#";
  Print "meldung=Email Nr. ";
  Print Zaehler;
  Print " vom Attiny#ende#";                                 'Semikolon nicht vergessen!
  Wait 1
  Portb.0 = 0                                               'LED aus
  Zaehler = Zaehler + 1
Loop


'**********************************************************
'******************* Unterprogramme ***********************

Sub Warte_bis_t0()
  Do
  Loop Until Pind.2 = 0
End Sub


'**********************************************************
'******************Interruptroutinen***********************



'**********************************************************